#pragma once

#include "IServiceLocator.h"


struct IDirect3DDevice9;

struct __declspec(novtable) __declspec(uuid("{002777D3-15FF-42f9-933C-6CDAB761649F}")) IDirect3DHijack
	: public IService
{
	virtual HRESULT CallEndScene(IDirect3DDevice9* ar_Device_) = 0;

	virtual bool get_HasDeviceCreated() const = 0;
	virtual void set_HasDeviceCreated(bool ab_State) = 0;
};
